Curses::UI::Window(3)

NAME
Curses::UI::Window - Create and manipulate Window widgets

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add(
        'window_id', 'Window',
        %options,
    );

DESCRIPTION
Curses::UI::Window is a window widget. It can be added to a Curses::UI instance. After that the window can be filled with other widgets to create an application window. For information on how to fill the window with widgets, see Curses::UI::Container.

STANDARD OPTIONS
-parent, -x, -y, -width, -height, -pad, -padleft, -padright, -padtop, -padbottom, -ipad, -ipadleft, -ipadright, -ipadtop, -ipadbottom, -title, -titlefullwidth, -titlereverse, -onfocus, -onblur

For an explanation of these standard options, see Curses::UI::Widget.

WIDGET-SPECIFIC OPTIONS

•   -centered < BOOLEAN >

    A window can automatically be drawn in the center of the screen. To enable this option use a true value and to disable it use a false value. The default is not to center a window. Example:

        $cui->add('mywindow', 'Window', -centered => 1);

METHODS

•   new ( OPTIONS )

•   layout ( )

•   draw ( BOOLEAN )

•   focus ( )

•   onFocus ( CODEREF )

•   onBlur ( CODEREF )

•   intellidraw ( )

    These are standard methods. See Curses::UI::Widget for an explanation of these.

•   modalfocus ( )

    If this method is called, the window will get modal focus. This means that all events will be sent to this window. By calling the loose_focus method, the window will loose its focus.

•   loose_focus ( )

    This method will have the window loose its focus (using this method you can also let a modal focused window loose its focus).

SEE ALSO
Curses::UI, Curses::UI::Container, Curses::UI::Widget

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.